Package org.apache.sysds.lops

# Enum Class LeftIndex.LixCacheType

java.lang.Object
java.lang.Enum<LeftIndex.LixCacheType>
org.apache.sysds.lops.LeftIndex.LixCacheType

All Implemented Interfaces:
  `Serializable`, `Comparable<LeftIndex.LixCacheType>`, `Constable`

Enclosing class:
  LeftIndex

public static enum LeftIndex.LixCacheType extends Enum<LeftIndex.LixCacheType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT`
`NONE`
`RIGHT`

## Method Summary

Modifier and Type
Method
Description
`static LeftIndex.LixCacheType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LeftIndex.LixCacheType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RIGHT

public static final LeftIndex.LixCacheType RIGHT

### LEFT

public static final LeftIndex.LixCacheType LEFT

### NONE

public static final LeftIndex.LixCacheType NONE

## Method Details

### values

public static LeftIndex.LixCacheType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LeftIndex.LixCacheType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null